package org.bench4q.monitor.model;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "limitableFields")
public class LimitableFieldsModel {
	private List<String> fields;

	@XmlElementWrapper(name = "fieldList")
	@XmlElement(name = "field")
	public List<String> getFields() {
		return fields;
	}

	public void setFields(List<String> fields) {
		this.fields = fields;
	}

	public LimitableFieldsModel() {
		this.fields = new ArrayList<String>();
		this.fields.add("memoryUsedPercent");
		this.fields.add("processorTimePercent");
		this.fields.add("userTimePercent");
		this.fields.add("privilegedTimePercent");
	}
	

}
